## evolution-data-server 1.4.2.1-20091116+0m5

=== addressbook/testsuite/Makefile ===
%: %.c
	$(CC) -g -Wall -O2 `pkg-config --cflags --libs libebook-1.2` -o $@ $^  -lcheck 

all: test-vcard-runner

test-vcard-runner: craphash.c test-vcard-parse.c test-vcard-photo.c test-vcard-runner.c

## evolution-data-server 1.4.1-0osso20060613-2

=== debian/changelog ===
evolution-data-server (1.4.1-0osso20060613-2) unstable; urgency=low

  * Don't crash if an error is returned when adding a contact

 -- Ross Burton <ross@openedhand.com>  Tue, 13 Jun 2006 12:04:03 +0100

evolution-data-server (1.4.1-0osso20060612-1) unstable; urgency=low

  * Hack around libdb being pants, and return NoSpace if db->sync fails (#20378)
  * Add NoSpace to libebook's error type

 -- Ross Burton <ross@openedhand.com>  Mon, 12 Jun 2006 16:32:01 +0100

evolution-data-server (1.4.1-0osso20060607) unstable; urgency=low

  * Fix problems with SI builds (Sergey Lapin)

 -- Ross Burton <ross@openedhand.com>  Wed,  7 Jun 2006 15:05:26 +0100

evolution-data-server (1.4.1-0osso20060605-2) unstable; urgency=low

  * Merge with upstream rev 405:
  - e-contact.c:Always allocate and clear new structures to avoid garbage
    in fields (#31598)

 -- Ross Burton <ross@openedhand.com>  Mon,  5 Jun 2006 18:00:12 +0100

evolution-data-server (1.4.1-0osso20060605) unstable; urgency=low

  * Merge with upstream rev 404:
  - try and transform BDB errors to Evo status codes (#20378)

 -- Ross Burton <ross@openedhand.com>  Mon,  5 Jun 2006 13:24:39 +0100

evolution-data-server (1.4.1-0osso20060531) unstable; urgency=low

  * Print a backtrace on SIGSEGV and critical warnings
  * Remove EDataBook from client-to-books map on book close
    (#31198)

 -- Jorn Baayen <jorn@openedhand.com>  Wed, 31 May 2006 13:33:33 +0300
 

evolution-data-server (1.4.1-0osso20060526) unstable; urgency=low

  * Merge with upstream rev 402:
    - fix typo in e-util.c (#29939)

 -- Ross Burton <ross@openedhand.com>  Fri, 26 May 2006 15:41:55 +0100

evolution-data-server (1.4.1-0osso20060525) unstable; urgency=low

  * Merge with upstream rev 401:
  - fix e_vcard_attribute_remove_param_value

 -- Ross Burton <ross@openedhand.com>  Thu, 25 May 2006 16:51:30 +0100

evolution-data-server (1.4.1-0osso20060524) unstable; urgency=low

  * Merge with upstream rev 400:
  - Return NoSpace when we can't create the database directory
  - Remove the anonymous union from EContactPhoto (#30247)

 -- Ross Burton <ross@openedhand.com>  Wed, 24 May 2006 10:34:35 +0100

evolution-data-server (1.4.1-0osso20060523) unstable; urgency=low

  * Merge with upstream rev 397:
  - Handle permission denied error from server
  - Be more verbose in the BDB backend on errors
  - Don't return OtherError
  - Reduce relocations in e-name-western

 -- Ross Burton <ross@openedhand.com>  Tue, 23 May 2006 11:43:52 +0100

evolution-data-server (1.4.1-0osso20060516) unstable; urgency=low

  * debian/patches/remove-unused.diff (replaced 01_n770.patch): remove
    e-destination (thus ucamel), e-url, and e-iconv. This removed 125K
    from the libraries.
  * Merge from upstream rev 392:
    - add error handling for async calls
  
 -- Ross Burton <ross@openedhand.com>  Tue, 16 May 2006 10:25:25 +0100

evolution-data-server (1.4.1-0osso20060512) unstable; urgency=low

  * Merge with upstream rev 391:
    - Add backend-died signal to EBook
    - Relicense ucamel to LGPL

 -- Ross Burton <ross@openedhand.com>  Fri, 12 May 2006 11:13:53 +0100

evolution-data-server (1.4.1-0osso20060511) unstable; urgency=low

  * Merge with upstream rev 389:
    - Fix code review bugs in e-address-western (#26585, #26584)
    - Refactor error handling in backend contact creation

 -- Ross Burton <ross@openedhand.com>  Thu, 11 May 2006 11:35:46 +0100

evolution-data-server (1.4.1-0osso20060508) unstable; urgency=low

  * Merge with upstream rev 386:
    - Fix NoReply annotations
    - Handle NULL books when destroying views
    - Add X-OSSO-BOUND define

 -- Ross Burton <ross@debian.org>  Mon,  8 May 2006 13:12:33 +0100

evolution-data-server (1.4.1-0osso20060503) unstable; urgency=low

  * Better error handling
  * Use non-fatal allocation handlers in the backend
  * debian/patches/small-cache.diff: reduce the BDB cache to 128K

 -- Ross Burton <ross@debian.org>  Wed,  3 May 2006 09:59:17 +0100

evolution-data-server (1.4.1-0osso20060428) unstable; urgency=low

  * Add more useful methods to e-vcard
  * Fix leak in e-dbhash (#28189)
  * Fix leak in e-book-backend-sexp (#28188)

 -- Ross Burton <ross@openedhand.com>  Fri, 28 Apr 2006 17:27:16 +0100

evolution-data-server (1.4.1-0osso20060426) unstable; urgency=low

  * Add value removal methods to e-vcard

 -- Ross Burton <ross@openedhand.com>  Wed, 26 Apr 2006 18:49:23 +0100

evolution-data-server (1.4.1-0osso20060425-1) unstable; urgency=low

  * Patch in the correct GLib version we require
  * Fix "if field exists" queries when using vCards

 -- Ross Burton <ross@openedhand.com>  Tue, 25 Apr 2006 17:18:32 +0100

evolution-data-server (1.4.1-0osso20060425) unstable; urgency=low

  * Increase GLib build-deps (#26587)
  * Clean up EBookView initialisation and deinit

 -- Ross Burton <ross@openedhand.com>  Tue, 25 Apr 2006 11:32:53 +0100

evolution-data-server (1.4.1-0osso15) unstable; urgency=low

  * Fix queries for IM fields (#26982)

 -- Ross Burton <ross@openedhand.com>  Fri, 21 Apr 2006 11:51:04 +0100

evolution-data-server (1.4.1-0osso14) unstable; urgency=low

  * Listen for backup_start signals and sync the database (#26284)

 -- Ross Burton <ross@openedhand.com>  Thu, 20 Apr 2006 17:16:57 +0100

evolution-data-server (1.4.1-0osso13) unstable; urgency=low

  * Allow thumb builds
  * Make EDataBook::Open consistant
  * Fix NULL dereference in e-address-western
  * Fix EContact init
  * Fix EBook unref
  
 -- Ross Burton <ross@openedhand.com>  Tue, 18 Apr 2006 16:51:30 +0100

evolution-data-server (1.4.1-0osso12) unstable; urgency=low

  * Fix memory leaks
  * Handle some NULL errors from DBus
  * Only init threading once

 -- Ross Burton <ross@openedhand.com>  Wed, 12 Apr 2006 13:24:11 +0100

evolution-data-server (1.4.1-0osso11) unstable; urgency=low

  * Return better error messages in the BDB backend
  * Handle errors better when opening the book

 -- Ross Burton <ross@openedhand.com>  Fri,  7 Apr 2006 14:54:36 +0100



=== debian/control ===
Source: evolution-data-server
Section: base
Priority: optional
Maintainer: Takuo KITAME <kitame@debian.org>
Build-Depends: flex, debhelper (>= 4.0.0), cdbs, intltool (>= 0.28-2), bison, libgtk2.0-dev, gnome-common, gtk-doc-tools, libgconf2-dev, libxml2-dev, libglade2-dev
Standards-Version: 3.6.1.0

Package: evolution-data-server
Architecture: any
Depends: ${shlibs:Depends}
Description: evolution database backend server
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.

Package: evolution-data-server-dev
Section: devel
Architecture: any
Depends: libedata-book-dev (= ${Source-Version})
Description: Development files for evolution-data-server (meta package)
 This package contains header files and static library of evolution-data-server.

Package: libedataserver
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Utility library for evolution data servers
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package is utility library for evolution-data-server.

Package: libedataserver-dev
Section: libdevel
Architecture: any
Depends: libedataserver (= ${Source-Version}), libxml2-dev, libgconf2-dev, libdbus-glib-1-dev
Description: Utility library for evolution data servers (development files)
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains header files and static library for libedataserver3.

Package: libebook
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libedata-book
Description: Client library for evolution address books
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .
 This package is client library for evolution address book.

Package: libebook-dev
Section: libdevel
Architecture: any
Depends: libebook (= ${Source-Version}), libedataserver-dev (= ${Source-Version})
Description: Client library for evolution address books (development files)
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .
 This package contains header files and static library for libebook@VER@.

Package: libedata-book
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Backend library for evolution address books
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .
 This package is backend library for evolution address book.

Package: libedata-book-dev
Section: libdevel
Architecture: any
Depends: libedata-book (= ${Source-Version}), libedataserver-dev (= ${Source-Version}) 
Description: Backend library for evolution address books
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .
 This package is backend library for evolution address book.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

# Use soft-float and thumb mode if it enabled. 
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
    PARALLEL_JOBS := $(shell echo $(DEB_BUILD_OPTIONS) | \
        sed -e 's/.*parallel=\([0-9]\+\).*/\1/')
    ifeq ($(DEB_BUILD_OPTIONS),$(PARALLEL_JOBS))
        PARALLEL_JOBS := $(shell if [ -f /proc/cpuinfo ]; \
            then echo `cat /proc/cpuinfo | grep 'processor' | head -2 | wc -l`; \
            else echo 1; fi)
    endif
    NJOBS := -j$(PARALLEL_JOBS)
endif
DEB_MAKE_ENVVARS := MAKEFLAGS=$(NJOBS)

DEB_SHLIBDEPS_INCLUDE := debian/tmp/usr/lib

DEB_DH_MAKESHLIBS_ARGS_ALL := -V

DEB_CONFIGURE_EXTRA_FLAGS := \
	--prefix=/usr \
	--with-dbus \
	--without-openldap \
	--without-libgnome \
	--disable-camel \
	--disable-groupwise \
	--disable-nss \
	--without-soup \
	--enable-nntp=no \
	--without-bug-buddy \
	--disable-calendar

debian/stamp-autotools-files:
	./autogen.sh $(DEB_CONFIGURE_EXTRA_FLAGS)
	touch debian/stamp-configured

common-build-arch common-build-indep:: debian/stamp-configured
	make

clean::
	dh_clean intltool-extract intltool-merge intltool-update \
	.po/.intltool-merge-cache
	rm -f debian/stamp-configured

LIBCAMEL_CURRENT := $(shell grep '^LIBCAMEL_CURRENT=' configure.in | sed -e 's/LIBCAMEL_CURRENT=//g')
LIBCAMEL_AGE := $(shell grep '^LIBCAMEL_AGE=' configure.in | sed -e 's/LIBCAMEL_AGE=//g')
LIBCAMEL_VER := $(shell expr $(LIBCAMEL_CURRENT) - $(LIBCAMEL_AGE))

LIBEDATASERVER_CURRENT := $(shell grep '^LIBEDATASERVER_CURRENT=' configure.in | sed -e 's/LIBEDATASERVER_CURRENT=//g')
LIBEDATASERVER_AGE := $(shell grep '^LIBEDATASERVER_AGE=' configure.in | sed -e 's/LIBEDATASERVER_AGE=//g')
LIBEDATASERVER_VER := $(shell expr $(LIBEDATASERVER_CURRENT) - $(LIBEDATASERVER_AGE))

LIBEBOOK_CURRENT := $(shell grep '^LIBEBOOK_CURRENT=' configure.in | sed -e 's/LIBEBOOK_CURRENT=//g')
LIBEBOOK_AGE := $(shell grep '^LIBEBOOK_AGE=' configure.in | sed -e 's/LIBEBOOK_AGE=//g')
LIBEBOOK_VER := $(shell expr $(LIBEBOOK_CURRENT) - $(LIBEBOOK_AGE))

LIBEDATABOOK_CURRENT := $(shell grep '^LIBEDATABOOK_CURRENT=' configure.in | sed -e 's/LIBEDATABOOK_CURRENT=//g')
LIBEDATABOOK_AGE := $(shell grep '^LIBEDATABOOK_AGE=' configure.in | sed -e 's/LIBEDATABOOK_AGE=//g')
LIBEDATABOOK_VER := $(shell expr $(LIBEDATABOOK_CURRENT) - $(LIBEDATABOOK_AGE))

update-control:
	@echo "libedataserver   version: $(LIBEDATASERVER_VER)"
	@echo "      libebook   version: $(LIBEBOOK_VER)"
	@echo " libedata-book   version: $(LIBEDATABOOK_VER)"
	sed \
	 -e 's/libedataserver1.2-@VER@/libedataserver1.2-$(LIBEDATASERVER_VER)/g' \
	 -e 's/libebook1.2-@VER@/libebook1.2-$(LIBEBOOK_VER)/g' \
	 -e 's/libedata-book1.2-@VER@/libedata-book1.2-$(LIBEDATABOOK_VER)/g' \
	debian/control.in > debian/control
	cp debian/libedataserver1.2-@VER@.install debian/libedataserver1.2-$(LIBEDATASERVER_VER).install
	cp debian/libebook1.2-@VER@.install debian/libebook1.2-$(LIBEBOOK_VER).install
	cp debian/libedata-book1.2-@VER@.install debian/libedata-book1.2-$(LIBEDATABOOK_VER).install

## evolution-data-server 1.4.2.1-20061025

=== debian/changelog ===
evolution-data-server (1.4.2.1-20061025) unstable; urgency=low

  * Remove debian/patches/backtrace.diff, it doesn't work well and breaks
    core dump debugging (Fixes: NB#45025).

 -- Ross Burton <ross@openedhand.com>  Wed, 25 Oct 2006 10:59:32 +0100

evolution-data-server (1.4.2.1-20061023) unstable; urgency=low

  * Silence the bdb backend and EBookView

 -- Ross Burton <ross@openedhand.com>  Mon, 23 Oct 2006 16:09:22 +0100

evolution-data-server (1.4.2.1-20061019.1) unstable; urgency=low

  * Fix crash when destroying a book that didn't load (Fixes: NB#42239)
  * Optimise EContact

 -- Ross Burton <ross@openedhand.com>  Thu, 19 Oct 2006 18:25:28 +0100

evolution-data-server (1.4.2.1-20061019) unstable; urgency=low

  * Suppress the exists_vcard warning
  * Optimise e-vcard and e-contact

 -- Ross Burton <ross@openedhand.com>  Fri, 13 Oct 2006 10:52:12 +0100

evolution-data-server (1.4.2.1-20061012.1) unstable; urgency=low

  * dependency fixed for -dbg packages

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Fri, 13 Oct 2006 13:30:23 +0300

evolution-data-server (1.4.2.1-20061012) unstable; urgency=low

  * Fix error handling on entry points in e-book.
  * Add evolution-data-server-dbg
  * Handle null closures (Fixes: NB#42604)

 -- Ross Burton <ross@openedhand.com>  Thu, 12 Oct 2006 18:34:23 +0100

evolution-data-server (1.4.2.1-20060926) unstable; urgency=low

  * Cache contact state in the summary files and fast-path (visible)
    queries.

 -- Ross Burton <ross@openedhand.com>  Tue, 26 Sep 2006 13:02:48 +0100

evolution-data-server (1.4.2.1-20060922) unstable; urgency=low

  * Fix TEL field in EContact (Fixes: NB#30397)

 -- Ross Burton <ross@openedhand.com>  Fri, 22 Sep 2006 18:08:03 +0100

evolution-data-server (1.4.2.1-20060921) unstable; urgency=low

  * Add Maemo-specific e_book_query_visible().
  * Add e_vcard_attribute_remove_param().

 -- Ross Burton <ross@openedhand.com>  Fri, 22 Sep 2006 10:05:58 +0100

evolution-data-server (1.4.2.1-20060919) unstable; urgency=low

  * Fix e_book_async_get_contact() when an error is returned
  * More syncs with upstream

 -- Ross Burton <ross@opendhand.com>  Tue, 19 Sep 2006 10:55:37 +0100

evolution-data-server (1.4.2.1-20060807) unstable; urgency=low

  * Minor merges with upstream

 -- Ross Burton <ross@openedhand.com>  Mon,  7 Aug 2006 19:39:34 +0100

evolution-data-server (1.4.2.1-20060713) unstable; urgency=low

  * Remove ucamel from the source, it's not used anymore
  * Add -dbg packages

 -- Ross Burton <ross@openedhand.com>  Thu, 13 Jul 2006 16:41:04 +0100

evolution-data-server (1.4.2.1-20060705) unstable; urgency=low

  * Rewrite the book view code.

 -- Ross Burton <ross@openedhand.com>  Wed,  5 Jul 2006 12:29:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: evolution-data-server
 Section: base
 Priority: optional
-Maintainer: Takuo KITAME <kitame@debian.org>
+Maintainer: Onne Gorter <onne.gorter@nokia.com>
 Build-Depends: flex, debhelper (>= 4.0.0), cdbs, intltool (>= 0.28-2), bison, libgtk2.0-dev, gnome-common, gtk-doc-tools, libgconf2-dev, libxml2-dev, libglade2-dev
 Standards-Version: 3.6.1.0
 
@@ -18,6 +18,15 @@
 Depends: libedata-book-dev (= ${Source-Version})
 Description: Development files for evolution-data-server (meta package)
  This package contains header files and static library of evolution-data-server.
+
+Package: evolution-data-server-dbg
+Architecture: any
+Depends: evolution-data-server (= ${Source-Version})
+Description: evolution database backend server (debugging symbols)
+ The data server, called "Evolution Data Server" is responsible for managing
+ calendar and addressbook information.
+ .
+ This package contains the debugging symbols.
 
 Package: libedataserver
 Section: libs
@@ -39,6 +48,16 @@
  .
  This package contains header files and static library for libedataserver3.
 
+Package: libedataserver-dbg
+Section: libdevel
+Architecture: any
+Depends: libedataserver (= ${Source-Version})
+Description: Utility library for evolution data servers (debugging symbols)
+ The data server, called "Evolution Data Server" is responsible for managing
+ calendar and addressbook information.
+ .
+ This package contains the debugging symbols.
+
 Package: libebook
 Section: libs
 Architecture: any
@@ -59,6 +78,16 @@
  .
  This package contains header files and static library for libebook@VER@.
 
+Package: libebook-dbg
+Section: libdevel
+Architecture: any
+Depends: libebook (= ${Source-Version})
+Description: Client library for evolution address books (development files)
+ Evolution is the integrated mail, calendar, task and address book
+ distributed suite from Novell, Inc.
+ .
+ This package contains the debugging symbols.
+
 Package: libedata-book
 Section: libs
 Architecture: any
@@ -78,3 +107,13 @@
  distributed suite from Novell, Inc.
  .
  This package is backend library for evolution address book.
+
+Package: libedata-book-dbg
+Section: libdevel
+Architecture: any
+Depends: libedata-book (= ${Source-Version})
+Description: Backend library for evolution address books
+ Evolution is the integrated mail, calendar, task and address book
+ distributed suite from Novell, Inc.
+ .
+ This package is backend library for evolution address book.

=== debian/rules ===
--- 
+++ 
@@ -26,16 +26,17 @@
 
 DEB_DH_MAKESHLIBS_ARGS_ALL := -V
 
+DEB_DH_STRIP_ARGS := --dbg-package=evolution-data-server --dbg-package=libedataserver --dbg-package=libedata-book --dbg-package=libebook
+
 DEB_CONFIGURE_EXTRA_FLAGS := \
 	--prefix=/usr \
 	--with-dbus \
 	--without-openldap \
 	--without-libgnome \
-	--disable-camel \
 	--disable-groupwise \
 	--disable-nss \
 	--without-soup \
-	--enable-nntp=no \
+	--disable-nntp \
 	--without-bug-buddy \
 	--disable-calendar

## evolution-data-server 1.4.2.1-20061113.1

=== debian/changelog ===
evolution-data-server (1.4.2.1-20061113.1) unstable; urgency=low

  * Revert packaging back to original naming scheme without -addressbook.
    (Fixes: NB#50504)

 -- Ross Burton <ross@openedhand.com>  Mon,  8 Jan 2007 10:37:03 +0000

evolution-data-server (1.4.2.1-20061113) unstable; urgency=low

  * Update packaging to put the addressbook daemon into the
    evolution-data-server-addressbook package.
  * Merge upstream changes to ease future syncing.

 -- Ross Burton <ross@openedhand.com>  Mon, 13 Nov 2006 17:35:26 +0000

evolution-data-server (1.4.2.1-20061101) unstable; urgency=low

  * Add back locks in book views, and sanity check arguments when creating
    and starting views.

 -- Ross Burton <ross@openedhand.com>  Wed,  1 Nov 2006 12:28:25 +0000

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

# Use soft-float and thumb mode if it enabled. 
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
    PARALLEL_JOBS := $(shell echo $(DEB_BUILD_OPTIONS) | \
        sed -e 's/.*parallel=\([0-9]\+\).*/\1/')
    ifeq ($(DEB_BUILD_OPTIONS),$(PARALLEL_JOBS))
        PARALLEL_JOBS := $(shell if [ -f /proc/cpuinfo ]; \
            then echo `cat /proc/cpuinfo | grep 'processor' | head -2 | wc -l`; \
            else echo 1; fi)
    endif
    NJOBS := -j$(PARALLEL_JOBS)
endif
DEB_MAKE_ENVVARS := MAKEFLAGS=$(NJOBS)

DEB_SHLIBDEPS_INCLUDE := debian/tmp/usr/lib

DEB_DH_MAKESHLIBS_ARGS_ALL := -V

DEB_DH_STRIP_ARGS := --dbg-package=evolution-data-server --dbg-package=libedataserver --dbg-package=libedata-book --dbg-package=libebook

DEB_CONFIGURE_EXTRA_FLAGS := \
	--prefix=/usr \
	--with-dbus \
	--without-openldap \
	--without-libgnome \
	--disable-groupwise \
	--disable-nss \
	--without-soup \
	--disable-nntp \
	--without-bug-buddy \
	--disable-calendar

debian/stamp-autotools-files:
	./autogen.sh $(DEB_CONFIGURE_EXTRA_FLAGS)
	touch debian/stamp-configured

common-build-arch common-build-indep:: debian/stamp-configured
	make

clean::
	dh_clean intltool-extract intltool-merge intltool-update \
	.po/.intltool-merge-cache
	rm -f debian/stamp-configured

## evolution-data-server 1.4.2.1-20061121

=== debian/changelog ===
evolution-data-server (1.4.2.1-20061121) unstable; urgency=low

  * Fix build error with new dbus-glib

 -- Ross Burton <ross@openedhand.com>  Tue, 21 Nov 2006 17:05:50 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: flex, debhelper (>= 4.0.0), cdbs, intltool (>= 0.28-2), bison, libgtk2.0-dev, gnome-common, gtk-doc-tools, libgconf2-dev, libxml2-dev, libglade2-dev
 Standards-Version: 3.6.1.0
 
-Package: evolution-data-server
+Package: evolution-data-server-addressbook
 Architecture: any
 Depends: ${shlibs:Depends}
 Description: evolution database backend server
@@ -19,9 +19,9 @@
 Description: Development files for evolution-data-server (meta package)
  This package contains header files and static library of evolution-data-server.
 
-Package: evolution-data-server-dbg
+Package: evolution-data-server-addressbook-dbg
 Architecture: any
-Depends: evolution-data-server (= ${Source-Version})
+Depends: evolution-data-server-addressbook (= ${Source-Version})
 Description: evolution database backend server (debugging symbols)
  The data server, called "Evolution Data Server" is responsible for managing
  calendar and addressbook information.

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 DEB_DH_MAKESHLIBS_ARGS_ALL := -V
 
-DEB_DH_STRIP_ARGS := --dbg-package=evolution-data-server --dbg-package=libedataserver --dbg-package=libedata-book --dbg-package=libebook
+DEB_DH_STRIP_ARGS := --dbg-package=evolution-data-server-addressbook --dbg-package=libedataserver --dbg-package=libedata-book --dbg-package=libebook
 
 DEB_CONFIGURE_EXTRA_FLAGS := \
 	--prefix=/usr \

## evolution-data-server 1.4.2.1-20070829

=== debian/changelog ===
evolution-data-server (1.4.2.1-20070829) unstable; urgency=low

  * Disable i18n in configure

 -- Ross Burton <ross@openedhand.com>  Wed, 29 Aug 2007 10:21:08 +0100

evolution-data-server (1.4.2.1-20070828) unstable; urgency=low

  * Don't crash when a client disconnects
  * Fix e_book_is_self()

 -- Ross Burton <ross@openedhand.com>  Tue, 28 Aug 2007 10:38:18 +0100

evolution-data-server (1.4.2.1-20070823) unstable; urgency=low

  * Don't treat client name changes as disconnects, fixing "random" closing
    of EDS.  
  * Register the bus name earlier

 -- Ross Burton <ross@openedhand.com>  Thu, 23 Aug 2007 16:35:49 +0100

evolution-data-server (1.4.2.1-20070815) unstable; urgency=low

  * Handle is_vcard when checking for summary queries, removing a console
    warning.

 -- Ross Burton <ross@openedhand.com>  Wed, 15 Aug 2007 11:20:43 +0100

evolution-data-server (1.4.2.1-20070810) unstable; urgency=low

  * Fix licensing issue by moving libdb-linking code entirely into the server.

 -- Ross Burton <ross@openedhand.com>  Fri, 10 Aug 2007 16:00:12 +0100

evolution-data-server (1.4.2.1-20070731) unstable; urgency=low

  * Only send remove notifications if the contact was in the view originally.

 -- Ross Burton <ross@openedhand.com>  Tue, 31 Jul 2007 15:30:54 +0100

evolution-data-server (1.4.2.1-20070730) unstable; urgency=low

  * Add build-dep on libc6-dev >= 2.5 for the new threading operations.

 -- Ross Burton <ross@openedhand.com>  Mon, 30 Jul 2007 10:30:54 +0100

evolution-data-server (1.4.2.1-20070628) unstable; urgency=low

  * Use correct unref when creating book views (Fixes: NB#61994).

 -- Ross Burton <ross@openedhand.com>  Thu, 28 Jun 2007 16:07:57 +0100

evolution-data-server (1.4.2.1-20070627) unstable; urgency=low

  * Add patch to use peer connections in book views.

 -- Ross Burton <ross@openedhand.com>  Wed, 27 Jun 2007 14:48:21 +0100

evolution-data-server (1.4.2.1-20070626) unstable; urgency=low

  * Don't install .la files.

 -- Ross Burton <ross@openedhand.com>  Tue, 26 Jun 2007 12:09:10 +0100

evolution-data-server (1.4.2.1-20070625) unstable; urgency=low

  * Link against the system libdb (libdb4.2)

 -- Ross Burton <ross@openedhand.com>  Mon, 25 Jun 2007 19:36:30 +0100

evolution-data-server (1.4.2.1-20070523.1) unstable; urgency=low

  * Enable POSIX mutexes in libdb, because the provided assembler mutexes
    don't work in Thumb.

 -- Ross Burton <ross@openedhand.com>  Wed, 23 May 2007 18:07:12 +0100

evolution-data-server (1.4.2.1-20070523) unstable; urgency=low

  * Add function for bulk commits
  * Speed up build by not doing it twice
  * Some syncs with upstream
  * Remove all UI build-deps

 -- Ross Burton <ross@openedhand.com>  Wed, 23 May 2007 12:25:52 +0100

evolution-data-server (1.4.2.1-20070330) unstable; urgency=low

  * Grand merge with OpenedHand svn (rev 544)
  * Remove GaduGadu contact fields
  * Make e_contact_get_const() less useless

 -- Ross Burton <ross@openedhand.com>  Fri, 30 Mar 2007 16:40:07 +0100

evolution-data-server (1.4.2.1-20070213) unstable; urgency=low

  * Fix the BDB backend's dispose() function, and use atomic ints for
    reference counting.
  * Sanity check data in the view thread
  * Remove hand-coded resizing array, use a single GArray instead.

 -- Ross Burton <ross@openedhand.com>  Tue, 13 Feb 2007 15:48:57 +0000

evolution-data-server (1.4.2.1-20070104) unstable; urgency=low

  * Add is_vcard s-exp and e_book_query_vcard_field_test, to reduce the need
    for EContactField.
  * Add X-OSSO-LAST-USED for better tracking of recent contacts
  * Fix compiler warnings (Fixes: NB#50155)
  * Add X-SIP and E_CONTACT_SIP
  * Use g_mkdir_with_parents() instead of own copy
  * Add Replaces/Provides to smooth upgrades

 -- Ross Burton <ross@openedhand.com>  Thu,  4 Jan 2007 15:17:46 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: base
 Priority: optional
 Maintainer: Onne Gorter <onne.gorter@nokia.com>
-Build-Depends: flex, debhelper (>= 4.0.0), cdbs, intltool (>= 0.28-2), bison, libgtk2.0-dev, gnome-common, gtk-doc-tools, libgconf2-dev, libxml2-dev, libglade2-dev
+Build-Depends: flex, debhelper (>= 4.0.0), cdbs, intltool (>= 0.28-2), bison, libc6-dev (>= 2.5), libgtk2.0-dev, gnome-common, gtk-doc-tools, libgconf2-dev, libxml2-dev, libdb4.2-dev, libdbus-glib-1-dev (>= 0.73-0osso2)
 Standards-Version: 3.6.1.0
 
 Package: evolution-data-server-addressbook
 Architecture: any
 Depends: ${shlibs:Depends}
+Provides: evolution-data-server
+Replaces: evolution-data-server
 Description: evolution database backend server
  The data server, called "Evolution Data Server" is responsible for managing
  calendar and addressbook information.
@@ -22,6 +24,7 @@
 Package: evolution-data-server-addressbook-dbg
 Architecture: any
 Depends: evolution-data-server-addressbook (= ${Source-Version})
+Replaces: evolution-data-server-dbg
 Description: evolution database backend server (debugging symbols)
  The data server, called "Evolution Data Server" is responsible for managing
  calendar and addressbook information.

=== debian/rules ===
--- 
+++ 
@@ -28,26 +28,20 @@
 
 DEB_DH_STRIP_ARGS := --dbg-package=evolution-data-server-addressbook --dbg-package=libedataserver --dbg-package=libedata-book --dbg-package=libebook
 
+DEB_CONFIGURE_SCRIPT := ./autogen.sh
+
 DEB_CONFIGURE_EXTRA_FLAGS := \
 	--prefix=/usr \
 	--with-dbus \
+	--with-libdb=/usr \
 	--without-openldap \
 	--without-libgnome \
 	--disable-groupwise \
 	--disable-nss \
 	--without-soup \
 	--disable-nntp \
-	--without-bug-buddy \
-	--disable-calendar
-
-debian/stamp-autotools-files:
-	./autogen.sh $(DEB_CONFIGURE_EXTRA_FLAGS)
-	touch debian/stamp-configured
-
-common-build-arch common-build-indep:: debian/stamp-configured
-	make
+	--without-bug-buddy
 
 clean::
 	dh_clean intltool-extract intltool-merge intltool-update \
 	.po/.intltool-merge-cache
-	rm -f debian/stamp-configured

## evolution-data-server 1.4.2.1-20090914.1%2b0m5

=== debian/changelog ===
evolution-data-server (1.4.2.1-20090914.1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- reto zingg <reto.zingg@nokia.com>  Wed, 16 Sep 2009 17:11:50 +0300

evolution-data-server (1.4.2.1-20090914.1) unstable; urgency=low

  * Fixes: NB#136658 - Crash while restoring Backup

 -- Robert Peto <robert.peto@maemo.org>  Mon, 14 Sep 2009 14:47:52 +0100

evolution-data-server (1.4.2.1-20090914) unstable; urgency=low

  * Significant clean-up of the documentation for libebook.
  * Fixes: NB#134487 - vcards don't always open

 -- Marco Barisione <marco.barisione@collabora.co.uk>  Mon, 14 Sep 2009 10:16:15 +0100

evolution-data-server (1.4.2.1-20090820) unstable; urgency=low

  * Fixes: NB#132074 - Crash when deleting contacts locally in mentioned senario

 -- Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>  Thu, 20 Aug 2009 10:04:51 -0500

evolution-data-server (1.4.2.1-20090819) unstable; urgency=low

  * Fixes: NB#132461 - e-addressbook-factory subscribed to D-Bus signal
    NameOwnerChanged

 -- Robert Peto <robert.peto@maemo.org>  Wed, 19 Jul 2009 16:37:00 +0100

evolution-data-server (1.4.2.1-20090814) unstable; urgency=low

  * Fixes: NB#132326 - Eventlogger sometimes shows wrong person for received message
  * Put normalized phone number into phone index db, fix phone query (see
    NB#126480)
  * Fixes: NB#126480 - evolution-data-server was found to hog a lot of CPU

 -- Robert Peto <robert.peto@maemo.org>  Fri, 14 Jul 2009 14:42:49 +0100

evolution-data-server (1.4.2.1-20090811) unstable; urgency=low

  * Introduce e_vcard_attribute_equal().

 -- Robert Peto <robert.peto@maemo.org>  Tue, 11 Jul 2009 18:13:04 +0100

evolution-data-server (1.4.2.1-20090805) unstable; urgency=low

  * Fixes: NB#126525 - <coverity> some FORWARD_NULL and VARARGS checkers
  * Fixes: NB#109986 - <coverity> Defects from evolution-data-server

 -- Robert Peto <robert.peto@maemo.org>  Wed, 05 Jul 2009 20:47:03 +0100

evolution-data-server (1.4.2.1-20090803) unstable; urgency=low

  * Fixes: NB#130906 - 12 bytes per contact lost when retrieving the contact list

 -- Mathias Hasselmann <mathias.hasselmann@maemo.org>  Mon, 03 Aug 2009 16:58:32 +0200

evolution-data-server (1.4.2.1-20090731.1) unstable; urgency=low

  * Fixes: NB#98141 - Possible memory leak in e-addressbook-factory with repeated CS voice calls
  * Fixes: NB#121800 - Possible memory leak in e-addressbook-factory with repeated SMS receive

 -- Robert Peto <robert.peto@maemo.org>  Fri, 31 Jul 2009 10:27:02 +0100

evolution-data-server (1.4.2.1-20090731) unstable; urgency=low

  * Fixes: NB#130124 - file-backend leaks memory when dbs are opened in the first time

 -- Mathias Hasselmann <mathias.hasselmann@maemo.org>  Fri, 31 Jul 2009 09:41:33 +0200

evolution-data-server (1.4.2.1-20090729) unstable; urgency=low

  * Improve robustness of e_contact_date_from_string() (see NB#128596)
  * Lock changes database during update (see NB128843).

 -- Mathias Hasselmann <mathias.hasselmann@maemo.org>  Wed, 29 Jul 2009 11:30:32 +0300

evolution-data-server (1.4.2.1-20090728) unstable; urgency=low

  * Remove corrupted DB when DB_RUNRECOVERY is returned from libdb. (see NB#114835)
  * Fixes: NB#114835 - Not able to save the contacts in mentioned senerio (addressbook factory core dump generated)

 -- Robert Peto <robert.peto@maemo.org>  Tue, 28 Jul 2009 20:32:29 +0100

evolution-data-server (1.4.2.1-20090722) unstable; urgency=low

  * Fixes: NB#129181 - Edited Contact is not reflected in all contacts view

 -- Robert Peto <robert.peto@maemo.org>  Wed, 22 Jul 2009 10:02:04 +0100

evolution-data-server (1.4.2.1-20090717) unstable; urgency=low

  * Fixes: NB#116286 - Not able to import contact containing special characters
  * Move EBookBackendSExp to libebook
  * Fixes: NB#122626 - Phone number lookup fails on trailing whitespace

 -- Mathias Hasselmann <mathias.hasselmann@maemo.org>  Fri, 17 Jul 2009 15:21:27 +0300

evolution-data-server (1.4.2.1-20090714) unstable; urgency=low

  * Fixes: NB#126090 - photo->data.uri leaked in e_contact_photo_convert_to_inlined
  * Optimize file-backend's load_source. (see NB#117500)
  * Fixes: NB#117500 - file-backend takes too long to load during boot

 -- Robert Peto <robert.peto@maemo.org>  Tue, 14 Jul 2009 12:55:21 +0100

evolution-data-server (1.4.2.1-20090702) unstable; urgency=low

  * Fixes: NB#121193 - First and last name show incorrect information from a Me-card contact in certain conditions
  * Fixes: NB#112135 - device boot up error banner displayed "Unable to perform operation, internal error"

 -- Jonathon Jongsma <jonathon.jongsma@maemo.org>  Thu, 02 Jul 2009 10:17:51 -0500

evolution-data-server (1.4.2.1-20090629) unstable; urgency=low

  * Fixes: NB#125020 - Contacts doesn't get synced when all data types are requested.

 -- Robert Peto <robert.peto@maemo.org>  Mon, 29 Jun 2009 15:07:58 +0100

evolution-data-server (1.4.2.1-20090626) unstable; urgency=low

  * Fixes: NB#101759 - Contact editor dialog does not close after tapping on Save button

 -- Robert Peto <robert.peto@maemo.org>  Fri, 26 Jun 2009 15:25:55 +0100

evolution-data-server (1.4.2.1-20090623) unstable; urgency=low

  * Fixes: NB#121289 - factory crashes when client tries to use a not loaded book
  * Set up a panic callback and handle libdb return values (see NB#113845)
  * Fixes: NB#118071 - factory crashes when running_id is not usable

 -- Robert Peto <robert.peto@maemo.org>  Tue, 23 Jun 2009 10:52:55 +0100

evolution-data-server (1.4.2.1-20090616) unstable; urgency=low

  * Fixes: NB#111264 - Sometimes contacts application gets disconnected from message bus after trying to save a new contact

 -- Robert Peto <robert.peto@maemo.org>  Tue, 16 Jun 2009 10:58:05 +0100

evolution-data-server (1.4.2.1-20090615) unstable; urgency=low

  * Fixes: NB#120845 - e-d-s does not send a dbus response when trying to remove a contact without a UID


## evolution-data-server 1.4.2.1-20090914.1+0m5

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: evolution-data-server
 Section: base
 Priority: optional
-Maintainer: Onne Gorter <onne.gorter@nokia.com>
-Build-Depends: flex, debhelper (>= 4.0.0), cdbs, intltool (>= 0.28-2), bison, libc6-dev (>= 2.5), libgtk2.0-dev, gnome-common, gtk-doc-tools, libgconf2-dev, libxml2-dev, libdb4.2-dev, libdbus-glib-1-dev (>= 0.73-0osso2)
-Standards-Version: 3.6.1.0
+Maintainer: Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>
+Uploaders: Robert Peto <robert.peto@maemo.org>, Jonathon Jongsma <jonathon.jongsma@maemo.org>, Mathias Hasselmann <mathias.hasselmann@maemo.org>
+Build-Depends: debhelper (>= 5.0.0), cdbs, intltool (>= 0.28-2), flex, bison, libc6-dev (>= 2.5), libgtk2.0-dev, gnome-common, gtk-doc-tools, libgconf2-dev, libxml2-dev, libdb4.2-dev, libdbus-glib-1-dev (>= 0.73-0osso2)
+Standards-Version: 3.7
 
 Package: evolution-data-server-addressbook
 Architecture: any
 Depends: ${shlibs:Depends}
+Conflicts: evolution-data-server
 Provides: evolution-data-server
 Replaces: evolution-data-server
 Description: evolution database backend server
@@ -17,13 +19,13 @@
 Package: evolution-data-server-dev
 Section: devel
 Architecture: any
-Depends: libedata-book-dev (= ${Source-Version})
+Depends: libedata-book-dev (= ${source:Version})
 Description: Development files for evolution-data-server (meta package)
  This package contains header files and static library of evolution-data-server.
 
 Package: evolution-data-server-addressbook-dbg
 Architecture: any
-Depends: evolution-data-server-addressbook (= ${Source-Version})
+Depends: evolution-data-server-addressbook (= ${source:Version})
 Replaces: evolution-data-server-dbg
 Description: evolution database backend server (debugging symbols)
  The data server, called "Evolution Data Server" is responsible for managing
@@ -44,7 +46,7 @@
 Package: libedataserver-dev
 Section: libdevel
 Architecture: any
-Depends: libedataserver (= ${Source-Version}), libxml2-dev, libgconf2-dev, libdbus-glib-1-dev
+Depends: libedataserver (= ${source:Version}), libxml2-dev, libgconf2-dev, libdbus-glib-1-dev
 Description: Utility library for evolution data servers (development files)
  The data server, called "Evolution Data Server" is responsible for managing
  calendar and addressbook information.
@@ -54,7 +56,7 @@
 Package: libedataserver-dbg
 Section: libdevel
 Architecture: any
-Depends: libedataserver (= ${Source-Version})
+Depends: libedataserver (= ${source:Version})
 Description: Utility library for evolution data servers (debugging symbols)
  The data server, called "Evolution Data Server" is responsible for managing
  calendar and addressbook information.
@@ -74,7 +76,7 @@
 Package: libebook-dev
 Section: libdevel
 Architecture: any
-Depends: libebook (= ${Source-Version}), libedataserver-dev (= ${Source-Version})
+Depends: libebook (= ${source:Version}), libedataserver-dev (= ${source:Version})
 Description: Client library for evolution address books (development files)
  Evolution is the integrated mail, calendar, task and address book
  distributed suite from Novell, Inc.
@@ -84,7 +86,7 @@
 Package: libebook-dbg
 Section: libdevel
 Architecture: any
-Depends: libebook (= ${Source-Version})
+Depends: libebook (= ${source:Version})
 Description: Client library for evolution address books (development files)
  Evolution is the integrated mail, calendar, task and address book
  distributed suite from Novell, Inc.
@@ -104,7 +106,7 @@
 Package: libedata-book-dev
 Section: libdevel
 Architecture: any
-Depends: libedata-book (= ${Source-Version}), libedataserver-dev (= ${Source-Version}) 
+Depends: libedata-book (= ${source:Version}), libedataserver-dev (= ${source:Version}) 
 Description: Backend library for evolution address books
  Evolution is the integrated mail, calendar, task and address book
  distributed suite from Novell, Inc.
@@ -114,9 +116,15 @@
 Package: libedata-book-dbg
 Section: libdevel
 Architecture: any
-Depends: libedata-book (= ${Source-Version})
+Depends: libedata-book (= ${source:Version})
 Description: Backend library for evolution address books
  Evolution is the integrated mail, calendar, task and address book
  distributed suite from Novell, Inc.
  .
  This package is backend library for evolution address book.
+
+Package: evolution-data-server-doc
+Section: doc
+Architecture: all
+Description: API documentation for evolution-data-server
+ API documentation for evolution-data-server.

## evolution-data-server 1.4.2.1-20091116+0m5

=== debian/changelog ===
evolution-data-server (1.4.2.1-20091116+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- reto zingg <reto.zingg@nokia.com>  Tue, 17 Nov 2009 15:20:04 +0200

evolution-data-server (1.4.2.1-20091116) unstable; urgency=low

  * Fixes: NB#132818 - IOP - Missing name and surname in Vcard sent from Motorola, BenQ/Siemens

 -- Mathias Hasselmann <mathias.hasselmann@maemo.org>  Mon, 16 Nov 2009 13:54:51 +0100

evolution-data-server (1.4.2.1-20091104) unstable; urgency=low

  * Fixes: NB#132818 - IOP - Missing name and surname in Vcard sent from Motorola, BenQ/Siemens

 -- Robert Peto <robert.peto@maemo.org>  Tue,  4 Nov 2009 15:19:22 +0100

evolution-data-server (1.4.2.1-20091103) unstable; urgency=low

  * Fixes: NB#122756 - Implement delete all contacts in file backend

 -- Robert Peto <robert.peto@maemo.org>  Tue,  3 Nov 2009 15:36:33 +0100

evolution-data-server (1.4.2.1-20091020) unstable; urgency=low

  * Add support code for backup restoration, see NB#138107

 -- Robert Peto <robert.peto@maemo.org>  Tue, 20 Oct 2009 14:41:23 +0100

evolution-data-server (1.4.2.1-20091013) unstable; urgency=low

  * Fixes: NB#137860 - e_book_async_add_contacts() doesn't send contacts in chunks
  * Fixes: NB#140354 - e-addressbook factory crashed while importing contacts
  * Fixes: NB#140520 - Memory leak in addressbook/libebook-dbus/e-book-sexp.c compare_list

 -- Robert Peto <robert.peto@maemo.org>  Tue, 13 Oct 2009 10:29:21 +0100

evolution-data-server (1.4.2.1-20091001) unstable; urgency=low

  * Fixes: NB#139743 - e-addressbook-factory crash while incoming chat notification
  * Fixes: NB#120562 - Use berkley db transactions in the file-backend
  * Fixes: NB#123381 - If a vcard contains duplicate fields, there will be warnings from the index
  * Fixes: NB#140530 - Memory leak in transaction enabled eds

 -- Robert Peto <robert.peto@maemo.org>  Thu,  1 Oct 2009 15:40:02 +0100

evolution-data-server (1.4.2.1-20090923) unstable; urgency=low

  * Fixes: NB#120562 - Use berkley db transactions in the file-backend

 -- Robert Peto <robert.peto@maemo.org>  Wed, 23 Sep 2009 12:39:06 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/class/gnome.mk
-include /usr/share/cdbs/1/rules/simple-patchsys.mk
 
 # Use soft-float and thumb mode if it enabled. 
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
@@ -26,8 +25,6 @@
 
 DEB_DH_MAKESHLIBS_ARGS_ALL := -V
 
-DEB_DH_STRIP_ARGS := --dbg-package=evolution-data-server-addressbook --dbg-package=libedataserver --dbg-package=libedata-book --dbg-package=libebook
-
 DEB_CONFIGURE_SCRIPT := ./autogen.sh
 
 DEB_CONFIGURE_EXTRA_FLAGS := \
@@ -40,7 +37,8 @@
 	--disable-nss \
 	--without-soup \
 	--disable-nntp \
-	--without-bug-buddy
+	--without-bug-buddy \
+	--enable-gtk-doc
 
 clean::
 	dh_clean intltool-extract intltool-merge intltool-update \

## evolution-data-server 1.4.2.1-20100226+0m5

=== debian/changelog ===
evolution-data-server (1.4.2.1-20100226+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 1.4.2.1-20100226+0m5

 -- Mahawadhi Ratna <ext-ratna.2.mahawadhi@nokia.com>  Tue, 02 Mar 2010 11:29:50 +0200

evolution-data-server (1.4.2.1-20100226) unstable; urgency=low

  * Fixes: NB#138862 - Addressbook get crashed while deleting all the contacts

 -- Marco Barisione <marco.barisione@collabora.co.uk>  Fri, 26 Feb 2010 15:02:22 +0000

evolution-data-server (1.4.2.1-20100212) unstable; urgency=low

  * Fixes: NB#156021 - Unable to modify any contact because index and DB are out of sync

 -- Marco Barisione <marco.barisione@collabora.co.uk>  Fri, 12 Feb 2010 12:28:13 +0000

evolution-data-server (1.4.2.1-20100209.1) unstable; urgency=low

  * Fixes: NB#138862 - Addressbook get crashed while deleting all the contacts

 -- Marco Barisione <marco.barisione@collabora.co.uk>  Tue, 09 Feb 2010 15:22:53 +0000

evolution-data-server (1.4.2.1-20100122.1) unstable; urgency=low

  * Fix some compile warnings intruduced with the previous release.

 -- Robert Peto <robert.peto@maemo.org>  Fri, 22 Jan 2010 10:09:45 +0100

evolution-data-server (1.4.2.1-20100122) unstable; urgency=low

  * Fixes: NB#116645 - file backend doesn't support "nick" sort order for book views
  * Add functions to merge attributes' parameters to avoid duplicates (See
    NB#140268)

 -- Robert Peto <robert.peto@maemo.org>  Fri, 22 Jan 2010 10:09:45 +0100

evolution-data-server (1.4.2.1-20100118) unstable; urgency=low

  * Fixes: NB#148921 - Memory leak in e-addressbook-factory while adding and deleting an event repeatedly
  * Fixes: NB#140389 - fine tune libdb environment in file-backend
  * Fixes: NB#145900 - corematic: ABRT in __dbenv_open_4002

 -- Robert Peto <robert.peto@maemo.org>  Wed,  9 Dec 2009 10:29:45 +0100

evolution-data-server (1.4.2.1-20091209.1) unstable; urgency=low

  * Close and re-create the db handle while getting addressbook changes.
    (See NB#148921)
  * Fix memory leaks found in e_book_backend_file_get_changes()
    (See NB#148921)
  * Fixes: NB#143770 - No API to clear or reset synchronization history
  * Introduce method not supporter return value. (See NB#143770)

 -- Robert Peto <robert.peto@maemo.org>  Wed,  9 Dec 2009 10:29:45 +0100

## evolution-data-server 1.4.2.1-20100317.0rtc%2b0m5

=== debian/changelog ===
evolution-data-server (1.4.2.1-20100317.0rtc+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 1.4.2.1-20100317.0rtc+0m5

 -- Urho Konttori <urho.konttori@nokia.com>  Thu, 18 Mar 2010 11:51:21 +0200

evolution-data-server (1.4.2.1-20100317) unstable; urgency=low

  * Fixes: NB#160630 - e-addressbook-factory new crash trace in slice_alloc after fix of FD & mem leak

 -- Xavier Claessens <xclaesse@xclaesse-laptop>  Wed, 17 Mar 2010 17:36:03 +0100

## evolution-data-server 1.4.2.1-20100623+0m5

=== debian/changelog ===
evolution-data-server (1.4.2.1-20100623+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 1.4.2.1-20100623+0m5

 -- Gary Birkett <ext-gary.2.birkett@nokia.com>  Thu, 24 Jun 2010 13:36:22 +0300

evolution-data-server (1.4.2.1-20100623) unstable; urgency=low

  * Fixes: NB#149444 - Customized contacts are doubled after update customized sw via SSU

 -- Marco Barisione <marco.barisione@collabora.co.uk>  Wed, 23 Jun 2010 11:30:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>
 Uploaders: Robert Peto <robert.peto@maemo.org>, Jonathon Jongsma <jonathon.jongsma@maemo.org>, Mathias Hasselmann <mathias.hasselmann@maemo.org>
-Build-Depends: debhelper (>= 5.0.0), cdbs, intltool (>= 0.28-2), flex, bison, libc6-dev (>= 2.5), libgtk2.0-dev, gnome-common, gtk-doc-tools, libgconf2-dev, libxml2-dev, libdb4.2-dev, libdbus-glib-1-dev (>= 0.73-0osso2)
+Build-Depends: debhelper (>= 5.0.0), cdbs, intltool (>= 0.28-2), flex, bison, libc6-dev (>= 2.5), libgtk2.0-dev, gnome-common, gtk-doc-tools, libgconf2-dev, libxml2-dev, libdb4.2-dev, libdbus-glib-1-dev (>= 0.73-0osso2), microb-engine-dev
 Standards-Version: 3.7
 
 Package: evolution-data-server-addressbook

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,11 @@
 # Use soft-float and thumb mode if it enabled. 
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -mthumb
+endif
+
+# Disable GObject cast checks by default
+ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -DG_DISABLE_CAST_CHECKS
 endif
 
 ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
